This package contains the following Syncfusion UI controls for Windows Forms.

## List of Controls

* [Grid Control](https://www.syncfusion.com/winforms-ui-controls/excel-like-grid?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)
* [Multicolumn Listbox](https://www.syncfusion.com/winforms-ui-controls/multicolumn-listbox?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)

## Grid Control:

Syncfusion’s GridControl is a cell-oriented grid that contains its own data and does not need to bind to a data source. It can be easily customized down to the cell level. It can be used in a virtual manner where the data is provided on-demand in real time, or in a way that the grid control maintains the data with its own internal structures.

### key features

* Data populating: Supports populating data from any kind of the data source.
* Virtual mode: Supports loading the data on-demand with high performance in grid.
* Styling: Extensively supports customizing the cell styles of grid.
* Clipboard support: Essential Grid provides excellent clipboard support that allows users to copy and paste the grid cell content to text or any format.
* Selection: Supports selecting a particular range of cell, rows, columns, and table of the grid.
* Editing: Interactively supports editing with different column types.
* Validation: Supports validating the cell while editing.
* Covered cells: Supports covering multiple cells.
* Merge cells: Supports merging adjacent cells with same values.
* Formula support: Essential Grid allows entering the algebraic expressions using formulas and cell references.
* Exporting: Supports exporting the data from grid to Excel, PDF, Word, CSV, and HTML.
* Drag and drop: Essential Grid lets you drag any column and drop it at any position in the grid. This allows columns to be repositioned as required.
* Touch support: Completely supports resizing, dragging and dropping a column, etc. in touch devices.


## Multicolumn listbox:

The GridList control provides a very rich way to display a list of items in multi-column list view with headers. It supports displaying single and multiple columns, data binding, single and multiple selection, and style customization at cell level.

### Key features

* Data populating - Supports populating data from any kind of the data source.
* Styling - Extensive support for customizing the cell style of grid.
* Selection - Provides support for single and multiple row selections.
* Tooltip - Supports displaying the comment text on mouse hovering of cells.
* Resizing - Supports resize the column width and row height based on the cell content.
* Visual styles - Provides support varies types of visual styles to provide the look and feel for the grid.
* Virtual mode - Provides support to loading the data on-demand with high performance in grid.
* Formulas support - Provides support entering the algebraic, arithmetic expression using formulas.
* Drop-down - Provides support to combined with the ComboBoxBase control and displays the control as drop down.
* Touch support - Provides supports to selection, swiping in touch devices.


## Related links
[Learn More about WinForms UI Controls](https://www.syncfusion.com/winforms-ui-controls/?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)

[Documentation](https://help.syncfusion.com/windowsforms/overview?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)

[Release History](https://help.syncfusion.com/windowsforms/release-notes/v19.4.0.38?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)

[Online Demos](https://github.com/syncfusion/winforms-demos/?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/winforms?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)

[Pricing](https://www.syncfusion.com/sales/products/windowsforms?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.

Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.


This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products/windowsforms?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Notifications%20WinUI-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=windows-grid-nuget) | Toll Free: 1-888-9 DOTNET


